Bug 169195 - www/habari: Update to version 0.8
Summary: www/habari: Update to version 0.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thomas Abthorpe
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-18 11:20 UTC by neil
Modified: 2012-10-21 01:41 UTC (History)
0 users

See Also:


Attachments
file.diff (418 bytes, patch)
2012-06-18 11:20 UTC, neil
no flags Details | Diff
file.diff (27.83 KB, patch)
2012-06-18 11:20 UTC, neil
no flags Details | Diff
habari.diff (31.27 KB, patch)
2012-06-18 12:21 UTC, neil
no flags Details | Diff
patch-system__classes__theme.php (418 bytes, application/x-php)
2012-06-18 12:21 UTC, neil
no flags Details
patch-system__classes__theme.php (418 bytes, application/x-php)
2012-06-20 13:52 UTC, neil
no flags Details
habari.diff (31.32 KB, patch)
2012-06-20 13:52 UTC, neil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description neil 2012-06-18 11:20:12 UTC
The attached patches update www/habari from 0.6.6 to 0.8.
Changes -
1) Removal of php(4|5)-iconv dependency. iconv functions are not used by Habari
   although libiconv is a user-controlled dependency of php(4|5)-mbstring.
2) Addition of php(4|5)-hash and php(4|5)-json dependencies which are required.
3) Modifications to Makefile to accommodate source tarball layout changes.
4) Regenerated pkg-plist for source tarball changes and added @dirrmtry for user
   modifiable directories.
5) Addition of a patch to silence an array to string conversion warning in php-5.4+.

Fix: A note is needed for /usr/ports/UPDATING -
Please note that the Habari directory layout has changed between 0.6.6 and 0.8.
User provided locales, plugins and themes now go into the 'user' directory and the
3rdparty directory is deprecated. Please relocate anything you may have in 3rdparty
and delete that directory.

New patch -> www/habari/files/patch-system__classes__theme.php

Build file patches ->
How-To-Repeat: N/A
Comment 1 Edwin Groothuis freebsd_committer 2012-06-18 11:20:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tabthorpe

tabthorpe@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-06-18 11:20:34 UTC
Maintainer of www/habari,

Please note that PR ports/169195 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/169195

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2012-06-18 11:20:37 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 neil 2012-06-18 12:21:33 UTC
Hi,

The original build files patch was mangled during submission. New copies are 
attached.

Regards,
Neil Darlow
Comment 5 neil 2012-06-19 10:35:24 UTC
Hi,

A dependency was hidden by another port. The php dependency list should also 
include *filter*.

Regards,
Neil Darlow
Comment 6 neil 2012-06-20 13:52:53 UTC
Final patchset... really!

There is a class which provides support for the Installer (which we don't use, 
obviously) that has a dependency on ctype. Probably not an issue but let's not 
risk a possible runtime error because it's not listed as a dependency.

The socket handling code can handle gzipped deflate and compress data if zlib 
support is present. As enabling it only causes linking of a standard FreeBSD 
library (libz.so) then we might as well benefit from the extra functionality.

Stupidly, I added a patch to prevent a PHP-5.4.x warning appearing in the 
Habari logs and didn't clean away the .orig file which make-install will copy 
(and get left behind during automated build and package removal because it's 
not listed in pkg-plist). It's now explicitly cleaned up.

Sorry about all this missed dependency mess. Upstream doesn't document all the 
PHP functionality requirements and I literally had to grep the sources for use 
of modules installed on my build system. Hence the addition of ctype, filter 
and zlib.

Regards,
Neil Darlow
Comment 7 Thomas Abthorpe freebsd_committer 2012-10-21 01:41:54 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!